Bug 1723750 - Some tests failing in the regression regularly, causing spurious failures, and slowing down development period.
Summary: Some tests failing in the regression regularly, causing spurious failures, an...
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1723673
TreeView+ depends on / blocked
 
Reported: 2019-06-25 09:46 UTC by Amar Tumballi
Modified: 2019-07-15 04:13 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22940 None Abandoned tests: mark some tests as KNOWN_ISSUE 2019-08-14 06:45:18 UTC
Gluster.org Gerrit 22949 None Open test: Fix spurious failure in bug-1482023-snpashot-issue-with-other-processes-accessing-mounted-path.t 2019-06-26 12:08:14 UTC

Description Amar Tumballi 2019-06-25 09:46:46 UTC
Description of problem:

Some tests which are failing regularly are:

* ./tests/basic/afr/arbiter-mount.t (if NFS is not available).
* ./tests/basic/afr/tarissue.t - randomly
* ./tests/bugs/gfapi/bug-1319374-THIS-crash.t - fails in distributed, and LCOV tests.

There are more but the above are more common suspects:

./tests/bugs/snapshot/bug-1482023-snpashot-issue-with-other-processes-accessing-mounted-path.t
./tests/bugs/gfapi/bug-1319374-THIS-crash.t
./tests/basic/all_squash.t
./tests/basic/ec/nfs.t
./tests/00-geo-rep/00-georep-verify-setup.t
./tests/basic/quota-rename.t
./tests/basic/volume-snapshot-clone.t


Version-Release number of selected component (if applicable):
master

How reproducible:
>50%

Steps to Reproduce:
1. send a patch, run regression.


Actual results:
One of these tests would fail.

Expected results:
No tests should fail.

Additional info:
We should have test cases which are specific, and would as predictably as possible. Mark the tests as bad and debug them separately not blocking the development of the master branch.

Blocking other patches from getting in, we would be slowing down a lot in these tests.

Comment 1 Amar Tumballi 2019-06-25 09:49:25 UTC
> Blocking other patches from getting in, we would be slowing down a lot in these tests.

Correction: We would be slowing down the project's development if we have unstable tests.

Comment 2 Worker Ant 2019-06-25 10:00:46 UTC
REVIEW: https://review.gluster.org/22940 (tests: mark some tests as KNOWN_ISSUE) posted (#1) for review on master by Amar Tumballi

Comment 3 Deepshikha khandelwal 2019-06-25 13:05:16 UTC
./tests/basic/distribute/non-root-unlink-stale-linkto.t is also failing frequently when creating user.

Comment 4 Nithya Balachandran 2019-06-25 13:19:02 UTC
(In reply to Deepshikha khandelwal from comment #3)
> ./tests/basic/distribute/non-root-unlink-stale-linkto.t is also failing
> frequently when creating user.

The test is not unstable. Gluster has no control over the useradd. We need to figure out what is going wrong on the regression machines.

Comment 5 Amar Tumballi 2019-06-26 07:17:28 UTC
./tests/bugs/rpc/bug-954057.t needed a retry.

Comment 6 Worker Ant 2019-06-26 12:08:15 UTC
REVIEW: https://review.gluster.org/22949 (test: Fix spurious failure in bug-1482023-snpashot-issue-with-other-processes-accessing-mounted-path.t) posted (#1) for review on master by MOHIT AGRAWAL


Note You need to log in before you can comment on or make changes to this bug.